View Issue Details

IDProjectCategoryView StatusLast Update
0004374SymmetricDSBugpublic2020-06-04 13:55
Reporterjosh-a-hicksAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.11.9 
Target Version3.11.9Fixed in Version3.11.9 
Summary0004374: NClob support fails on Oracle
DescriptionRebuilding of triggers with NCLOB columns will throw the following error:

org.apache.commons.lang.NotImplementedException: DA is of type NCLOB with JDBC type of NCLOB
Tagsdata type

Relationships

related to 0003029 closedelong Add a parameter that will force SymmetricDS to create nclobs in sym_data on Oracle. 
related to 0004401 closedelong Oracle ntype characters lost from conversion in capture 

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.11 a84d4a6f

2020-04-28 16:20:12

josh-a-hicks

Details Diff
0004374: NClob support fails on Oracle
0004374
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/AbstractTriggerTemplate.java Diff File

SymmetricDS: 3.11 3dafa39c

2020-05-01 09:09:31

admin

Details Diff
0004374: NClob support fails on Oracle
0004374
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/oracle/OracleTriggerTemplate.java Diff File

SymmetricDS: 3.11 3e610b41

2020-05-01 11:30:50

admin

Details Diff
0004374: NClob support fails on Oracle
0004374
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/oracle/OracleTriggerTemplate.java Diff File

SymmetricDS: 3.11 d3b786bd

2020-05-01 14:37:03

admin

Details Diff
0004374: NClob support fails on Oracle
0004374
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/AbstractTriggerTemplate.java Diff File

SymmetricDS: 3.11 652aac69

2020-05-04 13:26:32

admin

Details Diff
0004374: NClob support fails on Oracle
0004374
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/oracle/OracleTriggerTemplate.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/AbstractTriggerTemplate.java Diff File

SymmetricDS: 3.11 706f79fd

2020-05-14 08:41:09

admin

Details Diff
0004374: back out template change from 3.11... will make on 3.12
0004374
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/oracle/OracleTriggerTemplate.java Diff File

Issue History

Date Modified Username Field Change
2020-04-28 11:31 josh-a-hicks New Issue
2020-04-28 11:31 josh-a-hicks Status new => assigned
2020-04-28 11:31 josh-a-hicks Assigned To => josh-a-hicks
2020-04-28 14:12 elong Tag Attached: data type
2020-04-29 09:04 josh-a-hicks Status assigned => resolved
2020-04-29 09:04 josh-a-hicks Resolution open => fixed
2020-04-29 09:04 josh-a-hicks Fixed in Version => 3.11.9
2020-05-01 14:35 elong Relationship added related to 0003029
2020-05-14 08:42 elong Assigned To josh-a-hicks => elong
2020-05-14 08:42 elong Status resolved => assigned
2020-05-14 08:42 elong Resolution fixed => open
2020-05-14 08:42 elong Fixed in Version 3.11.9 => 3.12.0
2020-05-14 08:42 elong Target Version 3.11.9 => 3.12.0
2020-05-15 10:03 elong Status assigned => resolved
2020-05-15 10:03 elong Resolution open => fixed
2020-05-15 10:03 elong Product Version 3.11.8 => 3.11.9
2020-05-15 10:03 elong Fixed in Version 3.12.0 => 3.11.9
2020-05-15 10:03 elong Target Version 3.12.0 => 3.11.9
2020-05-15 10:12 elong Relationship added related to 0004401
2020-05-26 12:37 elong Status resolved => closed
2020-06-04 13:55 admin Changeset attached => SymmetricDS 3.11 706f79fd
2020-06-04 13:55 admin Changeset attached => SymmetricDS 3.11 652aac69
2020-06-04 13:55 admin Changeset attached => SymmetricDS 3.11 d3b786bd
2020-06-04 13:55 admin Changeset attached => SymmetricDS 3.11 3e610b41
2020-06-04 13:55 admin Changeset attached => SymmetricDS 3.11 3dafa39c
2020-06-04 13:55 josh-a-hicks Changeset attached => SymmetricDS 3.11 a84d4a6f